INSTALL(1)

NIMI
install - kopioi tiedostoja ja aseta niiden attribuutteja

YLEISKATSAUS
install [VALITSIN]... [-T] LÄHDE KOHDE
install [VALITSIN]... LÄHDE... HAKEMISTO
install [VALITSIN]... -t HAKEMISTO LÄHDE...
install [VALITSIN]... -d HAKEMISTO...

KUVAUS

This install program copies files (often just compiled) into destination locations you choose. If you want to download and install a ready-to-use package on a GNU/Linux system, you should instead be using a package manager like yum(1) or apt-get(1).

Kolme ensimmäistä muotoa: kopioi LÄHDE KOHTEeseen, tai useita LÄHTEitä olemassaolevaan HAKEMISTOon, asettaen samalla oikeudet ja omistaja/ryhmä. Neljäs muoto: luo annettujen HAKEMISTOjen kaikki (puuttuvat) ylähakemistot.

Pitkien valitsinten pakolliset argumentit ovat pakollisia myös lyhyille.

--backup[=MENETELMÄ]
    varmuuskopioi jokainen olemassaoleva kohdetiedosto

-b  kuten --backup, mutta ilman argumenttia

-c  (ei huomioida)

-C, --compare
    compare content of source and destination files, and if no change to content, ownership, and permissions, do not modify the destination at all

-d, --directory
    kohtele kaikkia argumentteja hakemistoniminä; luo kaikki annetut hakemistot alihakemistoineen

-D  create all leading components of DEST except the last, or all components of --target-directory, then copy SOURCE to DEST

--debug
    explain how a file is copied. Implies -v

-g, --group=RYHMÄ
    aseta ryhmä – muuten käytetään prosessin nykyistä ryhmää

-m, --mode=OIKEUDET
    aseta oikeudet (kuten chmodissa) – muuten rwxr-xr-x

-o, --owner=OMISTAJA
    aseta omistajuus (vain pääkäyttäjä)

-p, --preserve-timestamps
    käytä LÄHDEtiedostojen käyttö/muutosaikoja vastaaviin kohdetiedostoihin

-s, --strip
    riisu symbolitaulut

--strip-program=OHJELMA
    binäärien riisumiseen käytettävä ohjelma

-S, --suffix=JÄLKILIITE
    syrjäytä tavanomainen varmuuskopion jälkiliite

-t, --target-directory=HAKEMISTO
    siirrä kaikki LÄHDE-argumentit HAKEMISTOon

-T, --no-target-directory
    käsittele KOHDE normaalina tiedostona

-v, --verbose
    print the name of each created file or directory

--preserve-context
    säilytä SELinux-suojauskonteksti

-Z  asettaa SELinux-suojauskontekstin määränpäähän tiedosto ja jokainen luotu kansio oletustyyppiin

--context[=CTX]
    kuten -Z, tai jos CTX on määritetty, aseta SELinux- tai SMACK-suojauskonteksti CTX:ään

--help
    näytä tämä ohje ja poistu

--version
    näytä versiotiedot ja poistu

Varmuuskopion jälkiliite on ”~”, ellei muuta ole asetettu valitsimella --suffix tai ympäristömuuttujalla SIMPLE_BACKUP_SUFFIX. Versionhallintamenetelmän voi valita käyttäen valitsinta --backup tai ympäristömuuttujaa VERSION_CONTROL. Arvot ovat seuraavat:

none, off
    älä varmuuskopioi koskaan (vaikka --backup olisi annettu)

numbered, t
    tee numeroituja varmuuskopioita

existing, nil
    numeroituja jos sellaisia on jo olemassa, muuten yksinkertaisia

simple, never
    tee aina yksinkertaisia varmuuskopiota

TEKIJÄ
Kirjoittanut David MacKenzie.

VIRHEISTÄ ILMOITTAMINEN
GNU coreutils online help: <https://www.gnu.org/software/coreutils/>
Ilmoita käännösvirheistä osoitteeseen <https://translationproject.org/team/fi.html>

KATSO MYÖS
cp(1)

Koko dokumentaatio: <https://www.gnu.org/software/coreutils/install>
tai saatavilla paikallisesti: info '(coreutils) install invocation'

Packaged by Debian (9.7-3)
Copyright © 2025 Free Software Foundation, Inc.
Lisenssi GPLv3+: GNU GPL versio 3 tai myöhempi <https://gnu.org/licenses/gpl.html>.
Tämä on vapaa ohjelmisto; sitä saa vapaasti muuttaa ja levittää edelleen.
Siinä määrin kuin laki sallii, TAKUUTA EI OLE.

KÄÄNNÖS
Tämän käsikirjan suomenkielisen käännöksen tekivät Sami Kuhmonen <sami@iqs.fi>

Tämä käännös on ilmainen dokumentaatio; katso tekijänoikeusehdot GNU General Public License -versiosta 3 (https://www.gnu.org/licenses/gpl-3.0.html) tai uudemmasta. Emme ota vastuuta.